import Wrap from '../abstract/Wrap';
import Ware from '../abstract/Ware';
import BaseMiddlewareHandler from '../abstract/BaseMiddlewareHandler';
import IMiddlewareFunction from '../interfaces/IMiddlewareFunction';
import { IAPIGatewayMiddlewareArgs } from '../interfaces/IAPIGatewayMiddlewareHandler';
export default abstract class BaseMiddleware<WareFunctionArgs extends IAPIGatewayMiddlewareArgs, ReturnFunctionType, WrapFunctionType = unknown> {
    protected wares: Array<Ware<WareFunctionArgs>>;
    protected wraps: Array<Wrap<WrapFunctionType>>;
    constructor();
    add<ParsedEvent = unknown>(wareOrWrap: BaseMiddlewareHandler | IMiddlewareFunction<ParsedEvent>): BaseMiddleware<WareFunctionArgs, ReturnFunctionType, WrapFunctionType>;
    abstract getHandler(): ReturnFunctionType;
}
