"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const Wrap_1 = __importDefault(require("../abstract/Wrap"));
const Ware_1 = __importDefault(require("../abstract/Ware"));
const BaseMiddlewareFunctionHandler_1 = __importDefault(require("./BaseMiddlewareFunctionHandler"));
class BaseMiddleware {
    constructor() {
        this.wares = [];
        this.wraps = [];
    }
    add(wareOrWrap) {
        if (wareOrWrap instanceof Wrap_1.default) {
            this.wraps.push(wareOrWrap);
        }
        else if (wareOrWrap instanceof Ware_1.default) {
            this.wares.push(wareOrWrap);
        }
        else {
            this.wares.push(new BaseMiddlewareFunctionHandler_1.default(wareOrWrap));
        }
        return this;
    }
}
exports.default = BaseMiddleware;
//# sourceMappingURL=BaseMiddleware.js.map