"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const BaseMiddleware_1 = __importDefault(require("../abstract/BaseMiddleware"));
const HttpResponse_1 = __importDefault(require("../responses/HttpResponse"));
class ApiProxyMiddleware extends BaseMiddleware_1.default {
    constructor(wrappedFunction) {
        super();
        this.wrappedFunction = wrappedFunction;
    }
    getHandler() {
        return (initialEvent, initialContext) => __awaiter(this, void 0, void 0, function* () {
            // @ts-ignore
            const initialParsedEvent = {};
            const fn = (parsedEvent, event, context) => __awaiter(this, void 0, void 0, function* () {
                for (const ware of this.wares) {
                    yield ware.run({ parsedEvent, event, context });
                }
                return yield this.wrappedFunction(parsedEvent, event, context);
            });
            let finalFn = null;
            for (const wrap of this.wraps) {
                finalFn = wrap.run(fn);
            }
            const res = finalFn
                ? yield finalFn(initialParsedEvent, initialEvent, initialContext)
                : yield fn(initialParsedEvent, initialEvent, initialContext);
            return HttpResponse_1.default.buildResponse(res);
        });
    }
}
exports.default = ApiProxyMiddleware;
//# sourceMappingURL=ApiProxyMiddleware.js.map