"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const Ware_1 = __importDefault(require("../abstract/Ware"));
class BodyParser extends Ware_1.default {
    constructor() {
        super();
    }
    static parse(body) {
        return body ? JSON.parse(body) : null;
    }
    run({ parsedEvent, event }) {
        return __awaiter(this, void 0, void 0, function* () {
            if (event.headers['Content-Type'] && event.headers['Content-Type'].includes('application/json')) {
                parsedEvent.body = BodyParser.parse(event.body);
            }
            if (event.headers['content-type'] && event.headers['content-type'].includes('application/json')) {
                parsedEvent.body = BodyParser.parse(event.body);
            }
            return;
        });
    }
}
exports.default = BodyParser;
//# sourceMappingURL=BodyParser.js.map