"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const Ware_1 = __importDefault(require("../abstract/Ware"));
class HeadersFixer extends Ware_1.default {
    constructor() {
        super();
    }
    static uppercaseHeader(key) {
        const capitalize = (input) => input.charAt(0).toUpperCase() + input.slice(1);
        return key
            .split('-')
            .map(capitalize)
            .join('-');
    }
    run({ event }) {
        return __awaiter(this, void 0, void 0, function* () {
            if (!event.headers) {
                return;
            }
            event.headers = Object
                .entries(event.headers)
                .reduce((acc, [k, v]) => (Object.assign(Object.assign({}, acc), { [HeadersFixer.uppercaseHeader(k)]: v })), {});
        });
    }
}
exports.default = HeadersFixer;
//# sourceMappingURL=HeadersFixer.js.map